document_id
stringlengths
8
12
document
stringlengths
50
3.21k
split
stringclasses
1 value
d_bash_1600
--- +++ @@ -10,7 +10,8 @@ printf "%03d%03d%03d" $(echo "$1" | tr '.' ' ') } -OPT=(--max_old_space_size=3072 -r dotenv/config) +: ${MAX_OLD_SPACE_SIZE:=3072} +OPT=(--max_old_space_size=$MAX_OLD_SPACE_SIZE -r dotenv/config) if [ "$NODE_ENV" != "production" ]; then if [ ! -f "./.env" ]; then
bash
d_bash_1601
--- +++ @@ -6,5 +6,5 @@ #SBATCH --mail-type=FAIL source ~/env-cwl/bin/activate -export PATH="/data/reddylab/software/FastQC:/home/dcl9/bin:/usr/local/bin:/data/reddylab/software/STAR-STAR_2.4.1a/bin/Linux_x86_64_static:$PATH" +export PATH="/data/reddylab/software/FastQC:/home/dcl9/bin:/usr/local/bin:/data/reddyla...
bash
d_bash_1602
--- +++ @@ -17,7 +17,7 @@ fi test -f re2/$LIBRE2 && exit 0 - RE2_REV=${RE2_REV:-2018-02-01} + RE2_REV=${RE2_REV:-2018-03-01} case $(git config --get remote.origin.url) in git@github.com*|https://github.com*|git://github.com*) RE2_URL=https://github.com/google/re2
bash
d_bash_1603
--- +++ @@ -1,14 +1,13 @@ #!/bin/sh -${RABBITMQCTL:="sudo rabbitmqctl"} -${RABBITMQ_PLUGINS:="sudo rabbitmq-plugins"} +${RABBITHOLE_RABBITMQCTL:="sudo rabbitmqctl"} # guest:guest has full access to / -$RABBITMQCTL add_vhost / -$RABBITMQCTL add_user guest guest -$RABBITMQCTL set_permissions -p / guest ".*" ".*...
bash
d_bash_1604
--- +++ @@ -1,3 +1,18 @@ +# Use `hub` as our git wrapper: +# http://defunkt.github.com/hub/ +# +# I use JRuby substantially, and we want to make sure hub is run using MRI +# regardless of which Ruby you're using or else the `git status` in your prompt +# will take seven thousand seconds to run `ls`. +# +# I'm hardc...
bash
d_bash_1605
--- +++ @@ -1,22 +1,26 @@ #!/bin/bash -echo updir +echo "Save current dir" +currentDir=`pwd` + +echo "up dir" cd .. -echo remove sdk folder +echo "remove sdk folder" rm -rf matrix-android-sdk -echo clone the git folder +echo "clone the matrix-android-sdk repository, and checkout develop branch" git clone -b...
bash
d_bash_1606
--- +++ @@ -1,7 +1,7 @@ #!/bin/bash -e # Data bundle version -version="data/data-data:55a8fba4-c190-4e77-a379-a09f53e372ec.zip" +version="data-data:55a8fba4-c190-4e77-a379-a09f53e372ec.zip" # Install packer pversion="0.12.1"
bash
d_bash_1607
--- +++ @@ -15,6 +15,6 @@ BASE_URI='http://localhost:8000' \ HASHIDS_SALT='DEVELOPMENT-ONLY' \ - stack exec zoomhub -- +RTS -N1 -RTS & + stack exec zoomhub -- +RTS -N4 -RTS & echo $! > zoomhub.pid
bash
d_bash_1608
--- +++ @@ -13,7 +13,8 @@ node app.js development & cd /cartodb -script/restore_redis +source /usr/local/rvm/scripts/rvm +bundle exec script/restore_redis bundle exec script/resque & bundle exec rails s -p $PORT
bash
d_bash_1609
--- +++ @@ -5,6 +5,8 @@ echo 'Usage: ./this <dir1> <dir2> [opts]' echo ' -u' echo ' unified diff, rather than split into columns' + echo ' -h' + echo ' display this usage text' exit 0 elif [ -z $1 ] || [ -z $2 ]; then here=${HOME}
bash
d_bash_1610
--- +++ @@ -1,5 +1,6 @@ #!/bin/bash echo 'Welcome to this virtual machine. To switch the user and drop privileges, type `user`.' +echo 'From there, type "ocaml" to start ocaml-multicore.' echo
bash
d_bash_1611
--- +++ @@ -18,6 +18,8 @@ cd src/libmongoc NOCONFIGURE=1 ./autogen.sh >/dev/null + # Remove empty dir so recursive make into it doesn't emit error + rmdir src/libbson cd ../../ cd src/libbson
bash
d_bash_1612
--- +++ @@ -7,3 +7,19 @@ it_displays_help_when_called_without_arguments() { $sinatra_gen | grep USAGE } + +it_displays_help_when_called_with_h() { + echo $($sinatra_gen -h) | grep USAGE +} + +it_displays_help_when_called_with_help() { + echo $($sinatra_gen --help) | grep USAGE +} + +it_fails_when_called_with_a...
bash
d_bash_1613
--- +++ @@ -20,4 +20,6 @@ source ~/openldap-docker/destroyOpenLDAP.sh # Destroy Nexus server. -source ~/nexus-docker/destroyNexus.sh +if [ ${#NEXUS_WEBURL} -eq 0 ]; then + source ~/nexus-docker/destroyNexus.sh +fi
bash
d_bash_1614
--- +++ @@ -17,4 +17,5 @@ # Aliases alias kc=kubectl +alias kccontext='kubectl config current-context' alias kcimages="kubectl get pods -o jsonpath='{range .items[*]}{.metadata.name} ({.status.phase}){\"\\n\"}{.spec.containers[*].image}{\"\\n\\n\"}{end}'"
bash
d_bash_1615
--- +++ @@ -1,2 +1,5 @@ # 'du space' Show first 30 folders that use most space. alias dus='du -h --max-depth=1 2>/dev/null | sort -r -h | head -n 30' + +# List kernel functions with most CPU time spend. +perf record -g -a sleep 3 && perf report
bash
d_bash_1616
--- +++ @@ -14,6 +14,9 @@ export scratch_path=/home/ekoch/scratch/ export project_path=/home/ekoch/project/ekoch/ +# Move to scratch space b/c casa write out the temporary files into the same folder +cd $scratch_path + $HOME/casa-release-5.0.0-218.el7/bin/casa --nologger --nogui --log2term --nocrashreport -c $HO...
bash
d_bash_1617
--- +++ @@ -1,5 +1,14 @@ #!/usr/bin/env sh -aws s3 sync s3://$S3_BUCKET_NAME /tmp/rpms -createrepo /tmp/rpms -aws s3 sync /tmp/rpms s3://$S3_BUCKET_NAME +BUCKET_URL=s3://${S3_BUCKET_NAME} + +aws s3 sync $BUCKET_URL /tmp/rpms + +mkdir -p /tmp/rpms/repodata +mv /tmp/rpms/repodata /tmp/rpms/${S3_LOCAL_PATH}/ + +creat...
bash
d_bash_1618
--- +++ @@ -1,4 +1,16 @@ #! /bin/bash + +if [[ `rpm -qa | grep freeipa` != '' ]] +then + sudo ipa-server-install --uninstall -U + sudo pkidestroy -s CA -i pki-tomcat + sudo rm -rf /var/log/pki/pki-tomcat + sudo rm -rf /etc/sysconfig/pki-tomcat + sudo rm -rf /etc/sysconfig/pki/tomcat/pki-tomcat + sudo rm -rf /v...
bash
d_bash_1619
--- +++ @@ -14,9 +14,4 @@ set -ex -# Install barbican devstack integration -if [ -z "$DEVSTACK_LOCAL_CONFIG" ]; then - export DEVSTACK_LOCAL_CONFIG="enable_plugin barbican https://git.openstack.org/openstack/barbican" -fi - $BASE/new/devstack-gate/devstack-vm-gate.sh
bash
d_bash_1620
--- +++ @@ -6,8 +6,8 @@ set -e -cd "$(dirname "$0")"/../ui/imagej -mvn dependency:copy-dependencies +cd "$(dirname "$0")"/../ui/app +mvn dependency:copy-dependencies > /dev/null find ../../core -name '*Event.java' | \ sed -e 's/.*src\/main\/java\///' -e 's/\//./g' -e 's/\.java$//' | xargs java \
bash
d_bash_1621
--- +++ @@ -7,10 +7,8 @@ if [ $# = 3 ]; then printf "%s\n" "New command: ${YELLOW}git ${BOLD}${alias_name}${NORMAL}" git config $scope alias.${alias_name} "${alias_command}" - exit 1 else printf "%s\n" "New alias: scope, name or command not found" - exit 0 fi }...
bash
d_bash_1622
--- +++ @@ -10,6 +10,7 @@ MAKE=make CONFIG_OPTION=release OS_ID=osx +PACKER=upx VERSION=`${GIT} describe` VERSION_HEADER=${BASE_DIR}/version.h @@ -41,6 +42,7 @@ echo "Packing it up..." cd ${RELEASE_DIR} +${PACKER} -9 ${EXEC_NAME} zip -r ${BASE_DIR}/${EXEC_NAME}_${VERSION}_${OS_ID}.zip * echo "Reverting...
bash
d_bash_1623
--- +++ @@ -1 +1,3 @@ +sudo /usr/local/bin/pip3.4 install -r ../requirements.txt /usr/local/bin/python3 ../consume_register_entries.py +
bash
d_bash_1624
--- +++ @@ -2,6 +2,7 @@ PORT=${1:-"80"} IFACE=${2:-"any"} +IP=${3:-""} # Only include packets that contain data NOTSYNFIN=" and (((ip[2:2] - ((ip[0]&0xf)<<2)) - ((tcp[12]&0xf0)>>2)) != 0)" @@ -9,7 +10,9 @@ IPCLAUSE="" if [ "${IFACE}" != "any" ]; then - IP="`ip addr show dev ${IFACE} | grep ' inet ' | tr ...
bash
d_bash_1625
--- +++ @@ -8,9 +8,6 @@ case "${BUILD_TOOL}" in autotools) - if [ "$(uname)" = "Darwin" ]; then - glibtoolize --version - fi ./autogen.sh configure_args=""
bash
d_bash_1626
--- +++ @@ -5,6 +5,7 @@ cd_root mkdir dist +DATE=$(date +%Y%m%d) message 'Compressing qtrpi...' -zip -r -q $ROOT/dist/qtrpi-$TARGET_DEVICE-qt-$QT_VERSION.zip raspi/qt5 raspi/qt5pi +zip -r -q $ROOT/dist/qtrpi-${TARGET_DEVICE}_qt-${QT_VERSION}_${DATE}.zip raspi/qt5 raspi/qt5pi
bash
d_bash_1627
--- +++ @@ -1,4 +1,6 @@ #!/bin/bash + +ls -aR ./ echo "##############" echo "# unit tests #"
bash
d_bash_1628
--- +++ @@ -4,7 +4,8 @@ shopt -s no_empty_cmd_completion # SSH auto-completion based on entries in known_hosts. if [[ -e ~/.ssh/known_hosts ]]; then - complete -o default -W "$(cat ~/.ssh/known_hosts | sed 's/[, ].*//' | sort | uniq | grep -v '[0-9]')" ssh scp stfp + # complete -o default -W "$(cat ~/.ssh/known_...
bash
d_bash_1629
--- +++ @@ -22,6 +22,7 @@ eval `opam config env` export OPAMYES="true" +echo Installing basic deps opam install ocamlfind topkg ocamlbuild opam pin add dsfo git://github.com/rleonid/dsfo @@ -29,11 +30,20 @@ #make setup-test echo Compiling -topkg build -topkg build -n omltest +make build echo Testing -t...
bash
d_bash_1630
--- +++ @@ -1,4 +1,4 @@ -#!/bin/sh +#!/bin/bash cwd=$(pwd) @@ -9,16 +9,11 @@ for folder in ${dir}; do dirname="$cwd/$folder" - echo "$dirname\n" - if [[ ! -d "$dirname" ]]; then continue fi; - cd $dirname - echo $dirname - if [ -e b...
bash
d_bash_1631
--- +++ @@ -9,6 +9,17 @@ BASE_DIR="$( cd "$( dirname "${BASH_SOURCE[0]}" )/.." && pwd )" source $BASE_DIR/scripts/common.sh + +if [ $(uname -s) = "Darwin" ]; then + SHA256SUM=/usr/local/bin/gsha256sum + + if [ ! -f $SHA256SUM ]; then + echo "Please run 'brew install coreutils' for gsha256sum" + ...
bash
d_bash_1632
--- +++ @@ -18,5 +18,5 @@ fi done +rpm --addsign $RPMS createrepo . -rpm --addsign $RPMS
bash
d_bash_1633
--- +++ @@ -7,12 +7,20 @@ set -u -glob=$* -if [ -z "$glob" ]; then - glob="test/local test/remote" +GLOB=$* +if [ -z "$GLOB" ]; then + GLOB="test/local test/remote" +fi + +DEFAULT_ARGS="-R dot --recursive" + +# When running under Windows Subsystem for Linux, +# some tests take unusually long to complete. +if u...
bash
d_bash_1634
--- +++ @@ -28,4 +28,4 @@ git add --all git commit -m "Deploy code docs to GitHub Pages" -git push --force --quiet "https://${GH_REPO_TOKEN}@github.com/LukasWoodtli/DesignByContractPlusPlus" master:gh-pages > /dev/null 2>&1 +git push --force "https://${GH_REPO_TOKEN}@github.com/LukasWoodtli/DesignByContractPlusPl...
bash
d_bash_1635
--- +++ @@ -1,5 +1,5 @@ #!/bin/sh -sed -i s/centos/CentOS/ "s/rhel/Red Hat Enterprise Linux/" $2/profile.yaml +sed -i 's/centos/CentOS/; s/rhel/Red Hat Enterprise Linux/' $2/profile.yaml ln -s $1/images/pxeboot/vmlinuz $2/boot/kernel && \ ln -s $1/images/pxeboot/initrd.img $2/boot/initramfs/distribution mkdir -p ...
bash
d_bash_1636
--- +++ @@ -6,7 +6,13 @@ # Management consoles are in localhost:{55672,55673} RABBITMQ_NODE_PORT=5672 RABBITMQ_SERVER_START_ARGS="-rabbitmq_mochiweb listeners [{mgmt,[{port,55672}]}]" RABBITMQ_NODENAME=rabbit rabbitmq-server -detached RABBITMQ_NODE_PORT=5673 RABBITMQ_SERVER_START_ARGS="-rabbitmq_mochiweb listeners...
bash
d_bash_1637
--- +++ @@ -2,12 +2,15 @@ # # Script used to setup and run virtualhere - ARCH=`uname -m` && \ - if [ "$ARCH" == "x86_64" ]; then \ - ARCH_VR=vhusbdx86_64; \ - else \ - ARCH_VR=vhusbdarm; \ - fi +ARCH=`uname -m` +if [ "$ARCH" = "x86_64" ] +then + echo "Your system architecture was identi...
bash
d_bash_1638
--- +++ @@ -1,8 +1,8 @@ CURRENT_BRANCH=$(git rev-parse --abbrev-ref HEAD) git checkout -B sync-translations-rce && \ - git add -A . && \ + git add . && \ git commit -m "[i18n] Update RCE translations. After submitting, make sure to publish a new version of canvas-rce to NPM." && \ - git push origin sync-tr...
bash
d_bash_1639
--- +++ @@ -20,15 +20,6 @@ exit 1 fi -# Cleanup lefovers from possible previous run -loopdev=`losetup -a | grep "$FILENAME" | cut -f 1 -d :` -if [ -n "$loopdev" ]; then - dmsetup remove `basename $loopdev`p1 2>/dev/null - dmsetup remove `basename $loopdev`p2 2>/dev/null - losetup -d $loopdev - udevad...
bash
d_bash_1640
--- +++ @@ -9,5 +9,5 @@ # 20160716 git ssh issue https://github.com/130s/hut_10sqft/issues/64 # Added in https://github.com/130s/hut_10sqft/pull/65 -if [ -f ~/.ssh/id_rsa]; then ssh-add ~/.ssh/id_rsa; fi # Key is for github +if [ -f ~/.ssh/id_rsa ]; then ssh-add ~/.ssh/id_rsa; fi # Key is for github
bash
d_bash_1641
--- +++ @@ -1,7 +1,7 @@ EXAMPLE_CLASS=$1 CLASSPATH_COMPILE=JGSTestclasses/Demo/target/scala-2.11/classes:JGSTestclasses/Scratch/target/scala-2.11/classes:JGSSupport/target/scala-2.11/classes:DynamicAnalyzer/target/scala-2.11/classes CLASSPATH_RUN=.:DynamicAnalyzer/target/scala-2.11/classes:GradualConstraints/Instr...
bash
d_bash_1642
--- +++ @@ -1,7 +1,2 @@ #!/bin/sh -VERSION=2.0.6 -TEMP=$(mktemp --directory .hlint-XXXXX) -mkdir $TEMP -curl -o$TEMP/hlint.tar.gz -L --insecure https://github.com/ndmitchell/hlint/releases/download/v$VERSION/hlint-$VERSION-x86_64-linux.tar.gz -tar -xzf $TEMP/hlint.tar.gz -C$TEMP -$TEMP/hlint-$VERSION/hlint $* +curl ...
bash
d_bash_1643
--- +++ @@ -1,6 +1,6 @@ #Mysql5 password=`makepasswd --chars 32` -/bin/sh -c 'unset LC_ALL; LANG=pt_BR.UTF-8 DEBIAN_FRONTEND=noninteractive /usr/bin/apt-get -q -y -o DPkg::Options::=--force-confold install mysql-server' +/bin/sh -c 'unset LC_ALL; LANG=pt_BR.UTF-8 DEBIAN_FRONTEND=noninteractive /usr/bin/apt-get -q -...
bash
d_bash_1644
--- +++ @@ -1,5 +1,7 @@ #!/bin/bash sleep 15 + +vm_name=$1 MAC=`VBoxManage showvminfo ${vm_name} | grep MAC | grep vboxnet0 | awk -F ":" '{print $3}' | cut -c 2-13`
bash
d_bash_1645
--- +++ @@ -1,5 +1,5 @@ #!/bin/bash -ex -cp -a metrics/. metrics-committed/ +cp -a metrics/. metrics-committed ./ci-tasks/scripts/commit-file-if-changed.sh
bash
d_bash_1646
--- +++ @@ -4,6 +4,6 @@ then twine upload --repository-url https://test.pypi.org/legacy/ dist/* else - echo 'twine upload --repository-url https://test.pypi.org/legacy/ dist/*' + echo 'twine upload dist/*' fi
bash
d_bash_1647
--- +++ @@ -14,7 +14,7 @@ pushd repo mkdir .bin mv ../cnb2cf/build/cnb2cf .bin/cnb2cf - ./scripts/package.sh -v "${version}" + ./scripts/package_shim.sh -v "${version}" # TODO: Configure cnb2cf to output to desired dir mv "nodejs_buildpack-v${version}.zip" ../candidate/candidate.zip popd
bash
d_bash_1648
--- +++ @@ -8,5 +8,7 @@ source $gtm_dist/gtmprofile export gtmgbldir=$VistADir/database export gtmroutines="$VistADir/o($VistADir/r) $gtm_dist/libgtmutil.so" -echo "change -s DEFAULT -f=/home/contestant/VistA/database" | $gtm_dist/mumps -r GDE +echo "change -s DEFAULT -f=$VistADir/database" | $gtm_dist/mumps -r GD...
bash
d_bash_1649
--- +++ @@ -20,17 +20,18 @@ mv fwupd-$VERSION.tar.xz $HOME/rpmbuild/SOURCES/ #generate a spec file -rm -rf fwupd.spec sed "s,#VERSION#,$VERSION,; s,enable_tests 0,enable_tests 1,; s,#BUILD#,1,; s,#LONGDATE#,`date '+%a %b %d %Y'`,; s,#ALPHATAG#,alpha,; s,Source0.*,Source0:\tfwupd-$VE...
bash
d_bash_1650
--- +++ @@ -2,7 +2,7 @@ sudo apt-add-repository -y "ppa:ubuntu-toolchain-r/test" sudo apt-get update -sudo apt-get install g++-7 unzip autoconf libtool libssl-dev python perl +sudo apt-get install g++-7 unzip autoconf libtool libssl-dev python perl libncurses5-dev libreadline-dev git submodule update --init --...
bash
d_bash_1651
--- +++ @@ -6,6 +6,10 @@ ROOT=`dirname $BIN` # Source the scanner configuration +# Typically this should have: +# - SCANNER_ID ; the name by which the scanner is defined in the beacon event messages +# - HEARTBEAT_UUID ; the uuid of the beacon used as the heartbeat for the scanner +# - BROKER_URL ; the url of the...
bash
d_bash_1652
--- +++ @@ -27,8 +27,9 @@ for (var filepath in api) { var name = getComponentName(filepath); var markdown = generateMarkdown(name, api[filepath]); - fs.writeFileSync(name + '.md', markdown); - process.stdout.write(filepath + ' -> ' + 'docs/api/' + name + '.md\n'); + var outputLocation = 'docs/ap...
bash
d_bash_1653
--- +++ @@ -6,7 +6,6 @@ # Others INSTALL_DIR="/usr/local/${PACKAGE}" -RUNAS="root" RUN_FILE="${INSTALL_DIR}/var/${PACKAGE}.run"
bash
d_bash_1654
--- +++ @@ -22,9 +22,14 @@ copy_reference_files() { local log="$MAVEN_CONFIG/copy_reference_file.log" - touch "${log}" || (echo "Can not write to ${log}. Wrong volume permissions?" && exit 1) - echo "--- Copying files at $(date)" >> "$log" - find /usr/share/maven/ref/ -type f -exec bash -eu -c 'copy_referenc...
bash
d_bash_1655
--- +++ @@ -1,8 +1,29 @@ #!/bin/bash +#============================================================================== +# Runs python script which generate string output sent to the lemonbar via FIFO +# file. STDOUT of lemonbar is also connected to python script to generate +# responses for the mouse commands. +#==...
bash
d_bash_1656
--- +++ @@ -8,3 +8,6 @@ alias ll="gls -l --color" alias la='gls -A --color' fi + + +alias upgrade="echo '\033[0;34mUpgrade shell (oh my zsh) and apps (via brew)\033[0m' && antigen update && brew-upgrades"
bash
d_bash_1657
--- +++ @@ -9,9 +9,6 @@ # TODO: Pick the latest, not every matching tgz file! tar -zxf ../../../pkg/django_govuk_template-*.tgz -C vendor/django_govuk_template --strip-components 1 -virtualenv .env -source .env/bin/activate - -pip install Django +sudo pip install Django python build.py
bash
d_bash_1658
--- +++ @@ -13,7 +13,7 @@ fi; # Ignore the home directory - if [ $(git rev-parse --quiet --show-toplevel) '==' $HOME ]; then + if [ "$(git rev-parse --quiet --show-toplevel)" '==' $HOME ]; then return; fi;
bash
d_bash_1659
--- +++ @@ -11,10 +11,11 @@ } function uninstall { - rm -f /etc/network/interfaces - install -o root -g root -D -m 644 /etc/network/interfaces.bak /etc/network/interfaces && rm -f /etc/network/interfaces.bak - rm -f /etc/rc.local - install -o root -g root -D -m 755 /etc/rc.local.bak /etc/rc.local && rm -f /et...
bash
d_bash_1660
--- +++ @@ -16,3 +16,4 @@ alias ggj="gg && cd jobs" alias ggf="gg && cd feeds" alias ggc="gg && cd personal/caseyw" +alias dot!="~/.dotfiles/bin/dot"
bash
d_bash_1661
--- +++ @@ -4,4 +4,4 @@ make -C unix check make -C unix clean -DAALA_ROOT=. tools/submit_awcy.py -master +#DAALA_ROOT=. tools/submit_awcy.py -master
bash
d_bash_1662
--- +++ @@ -2,14 +2,14 @@ add-apt-repository ppa:webupd8team/java -echo "deb https://dl.bintray.com/sbt/debian /" | sudo tee -a /etc/apt/sources.list.d/sbt.list +echo "deb https://dl.bintray.com/sbt/debian /" | tee -a /etc/apt/sources.list.d/sbt.list apt-key adv --keyserver hkp://keyserver.ubuntu.com:80 --recv ...
bash
d_bash_1663
--- +++ @@ -1,10 +1,18 @@ #!/bin/bash action=$1 +log=./bat.log + +function log { + echo "$1" > $log +} if [ "$action" = "start" ]; then - nohup sh ./main.sh & echo $! > ./pid & + log "---" + log "Starting \"Battery alert\"" + sh ./main.sh > $log 2>&1 & echo $! > ./pid & elif [ "$action" = "stop" ]; then ...
bash
d_bash_1664
--- +++ @@ -1,12 +1,19 @@ KERNCONF=BEAGLEBONE -UBOOT_SRC=${TOPDIR}/u-boot-ti +UBOOT_SRC=${TOPDIR}/u-boot-2012.07 check_prerequisites ( ) { freebsd_current_test + # I used to use the TI Arago sources, but those are pretty + # regularly broken, and I got tired of chasing patches. If you + # want to...
bash
d_bash_1665
--- +++ @@ -19,6 +19,8 @@ if which "mvim" &> /dev/null; then open -a MacVim "$@" + elif which "gvim" &> /dev/null; then + gvim -p "$@" else \vim -p "$@" fi
bash
d_bash_1666
--- +++ @@ -1,9 +1,39 @@ . thermo-env/bin/activate -echo "state_points_gen.py" -python state_points_gen.py -o testFiles/testPoints.csv -p 10 -echo "state_eqns_gen.py" -python state_eqns_gen.py -i testFiles/testPoints.csv -o testFiles/testEqns.csv + +for i in $(seq 1 1 20) +do + echo "state_points_gen.py" + pyt...
bash
d_bash_1667
--- +++ @@ -8,6 +8,7 @@ alias -g .....='../../../..' alias -g ......='../../../../..' +alias -- -='cd -' alias 1='cd -' alias 2='cd -2' alias 3='cd -3'
bash
d_bash_1668
--- +++ @@ -2,8 +2,8 @@ TARGET=i686-unknown-linux-gnu URL="http://static.rust-lang.org/dist/rust-nightly-${TARGET}.tar.gz" -TARPATH=rust-nightly-${TARGET}/lib/rustlib/${TARGET}/lib/ -COMPONENTS=5 +TARPATH=rust-nightly-${TARGET}/rustc/lib/rustlib/${TARGET}/lib/ +COMPONENTS=6 FOLDER=rustlibdir RUST_TARGET=$(rus...
bash
d_bash_1669
--- +++ @@ -3,7 +3,15 @@ DIR=`dirname $0` CODE_ROOT=`dirname $DIR` -source $CODE_ROOT/../python_env/bin/activate +VENV_FILE=$CODE_ROOT/../python_env/bin/activate +if [ -f $VENV_FILE ]; then + source $VENV_FILE +elif [ $VIRTUAL_ENV ]; then + source $VIRTUAL_ENV/bin/activate +else + echo "Couldn't find vir...
bash
d_bash_1670
--- +++ @@ -1,3 +1,6 @@ #!/bin/sh -x +if [ -S /var/run/fail2ban/fail2ban.sock ]; then + rm /var/run/fail2ban/fail2ban.sock +fi service fail2ban start /usr/sbin/asterisk -vvvvvvv
bash
d_bash_1671
--- +++ @@ -2,23 +2,23 @@ main() { - if [ -z "$1" ] - then - usage - exit 1 - fi + if [ -z "$1" ] + then + usage + exit 1 + fi - printf "md5 %s\n" "$(md5sum "$1" | cut -f1 -d" ")" - printf "sha1 %s\n" "$(sha1sum "$1" | cut -f1 -d" ")" - printf "sha224 %s\n" "$(sha224sum "$...
bash
d_bash_1672
--- +++ @@ -9,7 +9,9 @@ if [[ $(StringValidator isNull ${branch}) ]]; then AppServerVersionConstants tomcatVersion - elif [[ $(StringValidator isSubstring ${branch} 6.2) ]]; then + elif [[ $(StringValidator isSubstring ${branch} 6.2.x) ]]; then + echo 7.0.62 + elif [[ $(StringValidator isSubstring ${bra...
bash
d_bash_1673
--- +++ @@ -28,9 +28,8 @@ done #log in the frontend and change the shell used by GE from csh to bash - elasticluster ssh $NAME << FRONTEND qconf -sq all.q > new_queue_config -sed -i ’s#csh#/bin/bash#g' new_queue_config +sed -i 's#csh#/bin/bash#g' new_queue_config sudo qconf -Mq new_queue_config FRONTEND
bash
d_bash_1674
--- +++ @@ -6,6 +6,8 @@ local version=$(parse_version_file $version_file_path $plugin_name) check_if_version_exists $plugin_name $version + check_for_deprecated_plugin $plugin_name + if [ -z "$version" ]; then echo "No version set for $plugin_name" exit 1 @@ -13,3 +15,20 @@ echo "$version (...
bash
d_bash_1675
--- +++ @@ -1,8 +1,27 @@ #!/bin/bash + +JAZZY_VERSION=`jazzy --version` +if [[ $? != 0 ]]; then + echo "Cannot find jazzy. To install try:" + echo "[sudo] gem install jazzy" + exit 1 +fi + +REPO_NAME="material-components-ios" + +ORIGINAL_WORKING_DIR=`pwd` + +#if [[ ! REPO_NAME =~ ORIGINAL_WORKING_DIR ]]; then +if [...
bash
d_bash_1676
--- +++ @@ -1,4 +1,4 @@ -#!/usr/bin/env bash -e +#!/bin/bash -le source .rvmrc
bash
d_bash_1677
--- +++ @@ -1,3 +1,6 @@ #!/bin/bash echo $webDir + + +rm -fRv $webDir/* cp -fRv build/* $webDir
bash
d_bash_1678
--- +++ @@ -6,4 +6,12 @@ [[ $WDir == 'scripts' ]] && cd .. dst='nikola/data/symlinked.txt' + +# Remove stale symlinks +for f in $(git ls-files -s | awk '/120000/{print $4}'); do + if [[ ! -e $f ]]; then + git rm -f $f + fi +done + git ls-files -s | awk '/120000/{print $4}' > $dst
bash
d_bash_1679
--- +++ @@ -8,9 +8,21 @@ # Include baselib file # ----------------- -BASELIB_PATH="${RERUN_MODULES}/$(basename $(cd ..; pwd))/lib/baselib.sh"; +MODULE="$(basename $(cd ..; pwd))"; +BASELIB_PATH="${RERUN_MODULES}/${MODULE}/lib/baselib.sh"; if [ ! -f ${BASELIB_PATH} ]; then exit; fi source ${BASELIB_PATH}...
bash
d_bash_1680
--- +++ @@ -10,3 +10,4 @@ scp packages/"$2"/*"$1"*.deb root@apt.atomia.com:/home/pingdom ssh root@rpm.atomia.com "cd /var/packages/ubuntu-$2 && reprepro includedeb $2 /home/pingdom/atomiadns-*$1*.deb" +./wikify_releasenotes.sh
bash
d_bash_1681
--- +++ @@ -4,8 +4,8 @@ exit 1; fi -echo "updating version" -version="$(node build/updateVersion.js)" +# echo "updating version" +# version="$(node build/updateVersion.js)" echo "building v$version" make build
bash
d_bash_1682
--- +++ @@ -13,9 +13,11 @@ RET=$? done + mongoUsername=${MONGODB_USERNAME?"minmaster"} + dataDB=${DATA_DB?"spidadb"} echo "=> Creating an admin user in MongoDB" - mongo admin --eval "db.createUser({user: 'minmaster', pwd: '$MONGODB_PASSWORD', roles: [ 'root' ]});" - mongo spidadb --eval "db.createUser({us...
bash
d_bash_1683
--- +++ @@ -1,8 +1,9 @@ #!/usr/bin/env bash +# Integration repo version if [ -d unisubs-integration ]; then if [ "`cd unisubs-integration; git rev-parse head`" = "`cat optional/unisubs-integration`" ]; then - echo "Integration repo matches..." + echo "Integration repo matches (good)..." el...
bash
d_bash_1684
--- +++ @@ -3,13 +3,13 @@ case "$1" in java8) - echo "https://github.com/AdoptOpenJDK/openjdk8-binaries/releases/download/jdk8u275-b01/OpenJDK8U-jdk_x64_linux_hotspot_8u275b01.tar.gz" + echo "https://github.com/AdoptOpenJDK/openjdk8-binaries/releases/download/jdk8u282-b08/OpenJDK8U-jdk_x64_linux_hotspot_8u28...
bash
d_bash_1685
--- +++ @@ -6,7 +6,7 @@ set -o pipefail -curl -fL https://github.com/coreos/rkt/releases/download/v${ACI_VERSION}/rkt_${ACI_VERSION}-1_amd64.deb -o rkt.deb +curl -fL https://github.com/rktproject/rkt/releases/download/v${ACI_VERSION}/rkt_${ACI_VERSION}-1_amd64.deb -o rkt.deb dpkg -x rkt.deb ${ROOTFS} rm -v $...
bash
d_bash_1686
--- +++ @@ -25,5 +25,5 @@ tree=$1; shift outfile=$1; shift copyright="$*" - mkisofs $bootable -d -N -D -R -T -V "$title" -P "$copyright" -o $outfile $tree + mkisofs $bootable -d -N -D -r -T -V "$title" -P "$copyright" -o $outfile $tree fi
bash
d_bash_1687
--- +++ @@ -32,3 +32,6 @@ alias hrc='heroku run rails c' alias hrdb='heroku run rake db:migrate' alias hlogs='heroku logs --tail' + +# Configure autojump +[[ -s $(brew --prefix)/etc/profile.d/autojump.sh ]] && . $(brew --prefix)/etc/profile.d/autojump.sh
bash
d_bash_1688
--- +++ @@ -1,16 +1,16 @@ #!/bin/bash set -x -# Move our cloud config into place -[ -f /tmp/cloud.cfg ] && mv /tmp/cloud.cfg /etc/cloud/cloud.cfg - -# Install heat-cfntools +# Install our cloud-init and heat-cfn tools zypper addrepo -f obs://Cloud:OpenStack:Juno/openSUSE_13.2 Juno zypper -n --no-gpg-checks inst...
bash
d_bash_1689
--- +++ @@ -25,14 +25,6 @@ git clone git://github.com/sstephenson/rbenv-vars.git $RBENV_ROOT/plugins/rbenv-vars fi -# Add rbenv to the path: -cat << EOF > $PROFILE -# rbenv setup -export RBENV_ROOT="$RBENV_ROOT" -export PATH="$RBENV_ROOT/bin:\$PATH" -eval "\$(rbenv init -)" -EOF - # Install ruby-build: if [ !...
bash
d_bash_1690
--- +++ @@ -9,6 +9,8 @@ GIT_BRANCH=${GIT_BRANCH##refs/heads/} GIT_BRANCH=${GIT_BRANCH:-HEAD} fi +GIT_BRANCH=${GIT_BRANCH##origin/} +GIT_BRANCH=${GIT_BRANCH//\//_} if [ -z "${BUILD_NUMBER}" ]; then BUILD_NUMBER=dev
bash
d_bash_1691
--- +++ @@ -5,11 +5,11 @@ mkdir -m 777 /qemu cd /qemu -curl --retry 5 -LO https://cdimage.debian.org/cdimage/ports/2020-04-19/debian-10.0-sparc64-NETINST-1.iso -7z e debian-10.0-sparc64-NETINST-1.iso install/initrd.gz -7z e debian-10.0-sparc64-NETINST-1.iso install/vmlinux +curl --retry 5 -LO https://cdimage.debi...
bash
d_bash_1692
--- +++ @@ -9,7 +9,8 @@ # Updates the last directory once directory is changed. function chpwd() { - echo "$PWD" > "$cache_file" + # Use >! in case noclobber is set to avoid "file exists" error + echo "$PWD" >! "$cache_file" } # Changes directory to the last working directory.
bash
d_bash_1693
--- +++ @@ -1,5 +1,6 @@ #!/bin/bash # Example usage. You can try it for a hour as a donation :-) -./epycyzm.py stratum+tcp://1Fqxr6JAMTtqfQPHSZajiEPwnT4b6fXpaH.worker1:z@equihash.eu.nicehash.com:3357 +#./epycyzm.py stratum+tcp://1Fqxr6JAMTtqfQPHSZajiEPwnT4b6fXpaH.worker1:z@equihash.eu.nicehash.com:3357 +./epycyzm...
bash
d_bash_1694
--- +++ @@ -38,12 +38,13 @@ ################################## EOF puppet apply -d -v --color false --detailed-exitcodes \ - /etc/puppet/modules/fuel/examples/${task}.pp - if [[ $? -eq 1 ]] || [[ $? -gt 2 ]]; then - echo "The were failures while running task: $task" + "/etc/puppet/modul...
bash
d_bash_1695
--- +++ @@ -4,7 +4,7 @@ # Three features other than opening the session: Enables bash alias expansion, sets bash alias source to .bashrc on server, and then sends an sms using the bash alias ssh Lifeline@REDACTED "bash -s" << EOF shopt -s expand_aliases; - source .bash_profile + source .bashrc sendsms; EOF ex...
bash
d_bash_1696
--- +++ @@ -14,6 +14,7 @@ install autocomplete-paths install autocomplete-plus install autocomplete-snippets +install docblockr install editorconfig install fancy-new-file install file-icons @@ -24,10 +25,10 @@ install project-manager install rails-transporter install recent-files -install regex-railroad-dia...
bash
d_bash_1697
--- +++ @@ -1,20 +1,26 @@ if [ $# -eq 0 ]; then echo "You need to supply the name of your zip as an arguement to this script." else - ZIP="$1.zip" + ZIP="Halite-$1.zip" - cd ../../halite/environment + cd ../../halite + mkdir Halite-$1 + + cd environment make clean make - zip $ZIP environment - mv $ZIP ../ +...
bash
d_bash_1698
--- +++ @@ -5,4 +5,4 @@ # found in the LICENSE file. THISDIR=$(dirname "${0}") -PYTHONPATH="${THISDIR}/../../webkit/tools/layout_tests/:${THISDIR}/../valgrind:${THISDIR}/../python" exec "${THISDIR}/chrome_tests.py" "${@}" +PYTHONPATH="${THISDIR}/../../webkit/tools/layout_tests/webkitpy/layout_tests:${THISDIR}/../...
bash
d_bash_1699
--- +++ @@ -31,6 +31,9 @@ cp -r build/html/* . # Delete the original location of the built files rm -rf build + # We need to tell github this is not a Jekyll document + touch .nojekyll + git add .nojekyll git add * git commit -m "Generated from sources...
bash